array_fail(3)

NAME
array_fail - switch array to have failed

SYNTAX
#include <libowfat/array.h> void array_fail(array* x);
  array x;
  array_fail(&x);

DESCRIPTION
If x is allocated, array_fail frees the region that x points to, and switches x to have failed. If x is unallocated, array_fail simply switches x to have failed. If x has already failed, array_fail has no effect.

SEE ALSO
array_allocate(3), array_reset(3)